#include "kobokbd.h"

KoboKBD::KoboKBD(const QString & device)
    : debug(false)
{
    qDebug("KoboKBD(%s)", (const char*)device.toAscii());

    _fd = open("/dev/input/event0", O_RDONLY);

    _sn = new QSocketNotifier(_fd, QSocketNotifier::Read);

    connect(_sn, SIGNAL(activated(int)), this, SLOT(activity(int)));

    if (device.contains("debug", Qt::CaseInsensitive))
        debug = true;

    _sn->setEnabled(true);
}

KoboKBD::~KoboKBD()
{
    delete _sn;
    close(_fd);
}

typedef struct input_event input_event_t;

void KoboKBD::activity(int)
{
    _sn->setEnabled(false);

    input_event_t in;
    ssize_t size;

    size = read(_fd, &in, sizeof(input_event_t));

    processKeyEvent(0, in.code, Qt::NoModifier, (in.value == 1), false);
        if(debug == true)
            qDebug() << "type:" << in.type << " | code:" << in.code << " | value:" << in.value;

    _sn->setEnabled(true);
}
