#ifndef KOBOKBD_H
#define KOBOKBD_H

#include <QWSKeyboardHandler>
#include <QDebug>
#include <QSocketNotifier>
#include <QWSServer>

#include <iostream>
#include <fcntl.h>
#include <linux/input.h>

class KoboKBD : public QObject, public QWSKeyboardHandler
{
    Q_OBJECT

public:
    KoboKBD(const QString & device = QString("/dev/input/event0"));
    virtual ~KoboKBD();

private slots:
    void activity(int);

private:
    int _fd;
    QSocketNotifier* _sn;
    bool debug;
};

#define KEY_LIGHT 90
#define KEY_POWER 116

#define EVENT_PRESS 1
#define EVENT_RELEASE 0

#endif // KOBOKBD_H
